job "minecraft_job" {

  datacenters = ["{{ nomad_dc }}"]
  type = "service"

  group "minecraft_group" {
    count = 1

    volume "mc_mount" {
      type = "host"
      read_only = false
      source = "mc_nfs"

    }

    restart {
      attempts = 2
      interval = "1h"
      delay    = "5m"
      mode     = "fail"
    }

    task "minecraft_task" {
        driver = "java"
        artifact {
          source = "{{ mc_url }}"
          destination = "local/"
        }
        template {
          data = "eula=true"
          destination = "eula.txt"
        }
        config {
          jar_path = "local/server.jar"
          jvm_options = ["-Xmx2048m", "-Xms1024m"]
        }

        resources {
          cpu = 2000
          memory = 2049
        }
        volume_mount = {
          volume = "mc_mount"
          destination = "{{ mc_nomad_path }}"
        }
      }

    // network {
    //   port mc = {
    //     static = 25565
    //   }
    // }
  }
}
